Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/get_open_orders_by_label \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 1953,
  "method": "private/get_open_orders_by_label",
  "params": {
    "currency": "BTC",
    "label": "fooBar"
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/get_open_orders_by_label"

payload = {
"jsonrpc": "2.0",
"id": 1953,
"method": "private/get_open_orders_by_label",
"params": {
"currency": "BTC",
"label": "fooBar"
}
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 1953,
method: 'private/get_open_orders_by_label',
params: {currency: 'BTC', label: 'fooBar'}
})
};

fetch('https://test.deribit.com/api/v2/private/get_open_orders_by_label', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 1953,
  "result": [
    {
      "time_in_force": "good_til_cancelled",
      "reduce_only": false,
      "price": 0.0028,
      "post_only": false,
      "order_type": "limit",
      "order_state": "open",
      "order_id": "146062",
      "max_show": 10,
      "last_update_timestamp": 1550050597036,
      "label": "fooBar",
      "is_rebalance": false,
      "is_liquidation": false,
      "instrument_name": "BTC-15FEB19-3250-P",
      "filled_amount": 0,
      "direction": "buy",
      "creation_timestamp": 1550050597036,
      "average_price": 0,
      "api": true,
      "amount": 10
    }
  ]
}

Query Parameters

currency
enum<string>
required

The currency symbol Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
USDC,
USDT,
EURR
label
string
required

user defined label for the order (maximum 64 characters)

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object[]
required
id
integer

The id that was sent in the request